Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class FindReadReferencesInProjectAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.jdt.ui.actions.SelectionDispatchAction
              org.eclipse.jdt.ui.actions.FindAction
                  org.eclipse.jdt.ui.actions.FindReferencesAction
                      org.eclipse.jdt.ui.actions.FindReadReferencesAction
                          org.eclipse.jdt.ui.actions.FindReadReferencesInProjectAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class FindReadReferencesInProjectAction
extends FindReadReferencesAction

Finds field read accesses of the selected element in the enclosing project. The action is applicable to selections representing a Java field.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`FindReadReferencesInProjectAction(IWorkbenchSite site)` Creates a new `FindReadReferencesInProjectAction`.
`FindReadReferencesInProjectAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)` Note: This constructor is for internal use only.

Methods inherited from class org.eclipse.jdt.ui.actions.FindReferencesAction
`run`

Methods inherited from class org.eclipse.jdt.ui.actions.FindAction
`run, run, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction
`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, update`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindReadReferencesInProjectAction

    public FindReadReferencesInProjectAction(IWorkbenchSite site)

  Creates a new `FindReadReferencesInProjectAction`. The action requires that the selection provided by the site's selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

### FindReadReferencesInProjectAction

    public FindReadReferencesInProjectAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.